Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2825133003: [css-grid] Ignore collapsed tracks on content-distribution alignment (Closed)

Created:
2 years, 9 months ago by jfernandez
Modified:
2 years, 8 months ago
CC:
chromium-reviews, szager+layoutwatch_chromium.org, zoltan1, svillar, blink-reviews-layout_chromium.org, pdr+renderingwatchlist_chromium.org, leviw+renderwatch, jchaffraix+rendering, blink-reviews, eae+blinkwatch
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[css-grid] Ignore collapsed tracks on content-distribution alignment The CSS Box Alignment spec states that we should ignore the collapsed tracks when computing the Distribution Alignment space to assign to the different grid tracks. BUG=707633 Review-Url: https://codereview.chromium.org/2825133003 Cr-Commit-Position: refs/heads/master@{#468598} Committed: https://chromium.googlesource.com/chromium/src/+/032e6e69429f3d726bcf71d342752a7f04824533

Patch Set 1 #

Total comments: 11

Patch Set 2 : Patch rebased. #

Patch Set 3 : Applied suggested changes. #

Total comments: 2

Patch Set 4 : Fixed bug and also unskip and improve the WTP tests. #

Total comments: 1

Patch Set 5 : Optimizations in the code and new test cases. #

Patch Set 6 : Patch rebased. #

Patch Set 7 : Fixed error in the test expectations #

Unified diffs Side-by-side diffs Delta from patch set Stats (+714 lines, -290 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 1 chunk +0 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-001.html View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-002.html View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-003.html View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-004.html View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-006.html View 1 2 3 4 3 chunks +8 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-007.html View 1 2 3 4 3 chunks +13 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-008.html View 1 2 3 4 3 chunks +15 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-009.html View 1 2 3 4 3 chunks +15 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-010.html View 1 2 3 4 3 chunks +19 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-011.html View 1 2 3 4 2 chunks +3 lines, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-012.html View 1 2 3 4 3 chunks +11 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-013.html View 1 2 3 4 3 chunks +13 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-014.html View 1 2 3 4 3 chunks +14 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-015.html View 1 2 3 4 3 chunks +16 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-016.html View 1 2 3 4 3 chunks +8 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-017.html View 1 2 3 4 3 chunks +16 lines, -12 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-018.html View 1 2 3 4 3 chunks +13 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-019.html View 1 2 3 4 3 chunks +15 lines, -7 lines 0 comments Download
A third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-020.html View 1 2 3 4 1 chunk +53 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-021.html View 1 2 3 4 4 chunks +6 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-022.html View 1 2 3 4 3 chunks +16 lines, -12 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-023.html View 1 2 3 4 3 chunks +15 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-024.html View 1 2 3 4 3 chunks +16 lines, -8 lines 0 comments Download
A third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-025.html View 1 2 3 4 1 chunk +53 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-001.html View 1 2 3 4 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-002.html View 1 2 3 4 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-003.html View 1 2 3 4 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-004.html View 1 2 3 4 2 chunks +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-005.html View 1 2 3 4 3 chunks +8 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-006.html View 1 2 3 4 3 chunks +13 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-007.html View 1 2 3 4 3 chunks +15 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-008.html View 1 2 3 4 3 chunks +15 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-009.html View 1 2 3 4 3 chunks +19 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-010.html View 1 2 3 4 2 chunks +5 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-011.html View 1 2 3 4 3 chunks +11 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-012.html View 1 2 3 4 3 chunks +13 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-013.html View 1 2 3 4 3 chunks +14 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-014.html View 1 2 3 4 3 chunks +16 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-015.html View 1 2 3 4 3 chunks +8 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-016.html View 1 2 3 4 3 chunks +16 lines, -12 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-017.html View 1 2 3 4 3 chunks +13 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-018.html View 1 2 3 4 3 chunks +15 lines, -7 lines 0 comments Download
A third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-019.html View 1 2 3 4 1 chunk +53 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-020.html View 1 2 3 4 4 chunks +8 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-021.html View 1 2 3 4 3 chunks +14 lines, -10 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-022.html View 1 2 3 4 4 chunks +13 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-023.html View 1 2 3 4 3 chunks +14 lines, -6 lines 0 comments Download
A third_party/WebKit/LayoutTests/external/wpt/css/css-grid-1/alignment/grid-content-distribution-with-collapsed-tracks-024.html View 1 2 3 4 1 chunk +53 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/external/wpt/css/reference/ref-filled-green-300px-square.html View 1 2 3 4 1 chunk +13 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutGrid.cpp View 1 2 3 4 5 2 chunks +11 lines, -9 lines 0 comments Download

Messages

Total messages: 36 (13 generated)
jfernandez
The CL doesn't provide new tests because it will be covered by new external Web ...
2 years, 9 months ago (2017-04-18 23:04:58 UTC) #2
jfernandez
2 years, 9 months ago (2017-04-18 23:05:43 UTC) #3
Manuel Rego
LGTM, but let's wait for the tests before we land this. I've also reviewed the ...
2 years, 9 months ago (2017-04-19 10:33:51 UTC) #4
Manuel Rego
A nit about the description, I'm not sure if "Distribution Alignment gaps" is the right ...
2 years, 9 months ago (2017-04-19 10:37:16 UTC) #5
jfernandez
Thanks for the review. https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode1381 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:1381: } On 2017/04/19 10:33:51, Manuel ...
2 years, 9 months ago (2017-04-19 11:05:51 UTC) #7
Manuel Rego
https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode1381 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:1381: } On 2017/04/19 11:05:51, jfernandez wrote: > On 2017/04/19 ...
2 years, 9 months ago (2017-04-19 11:46:08 UTC) #8
svillar
https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode1369 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:1369: auto& grid = track_sizing_algorithm_.GetGrid(); You don't need to do ...
2 years, 9 months ago (2017-04-20 08:49:37 UTC) #9
jfernandez
Thanks for the review. I'm still waiting for the WPT, so there is still time ...
2 years, 9 months ago (2017-04-20 17:29:47 UTC) #10
svillar
https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/2825133003/diff/1/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode1401 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:1401: !grid.IsEmptyAutoRepeatTrack(direction, i + 1)) On 2017/04/20 17:29:47, jfernandez wrote: ...
2 years, 9 months ago (2017-04-21 07:37:51 UTC) #11
Manuel Rego
BTW, the tests have been already imported: https://chromium.googlesource.com/chromium/src/+/fa550e2af24a576a19bb3f3c74987a50680c541d
2 years, 9 months ago (2017-04-24 07:34:48 UTC) #12
jfernandez
PTAL
2 years, 9 months ago (2017-04-24 20:13:18 UTC) #13
svillar
I haven't reviewed the tests but we clearly need more to check the issue I ...
2 years, 9 months ago (2017-04-25 08:03:29 UTC) #14
jfernandez
Please @sergio take another look. I changed the imported tests so that they detect the ...
2 years, 9 months ago (2017-04-25 10:55:08 UTC) #15
svillar
lgtm with the suggested change Still, the tests still look too simple for me. We ...
2 years, 9 months ago (2017-04-25 15:12:25 UTC) #16
jfernandez
On 2017/04/25 15:12:25, svillar wrote: > lgtm with the suggested change > > Still, the ...
2 years, 9 months ago (2017-04-26 17:36:39 UTC) #17
jfernandez
Please, take a another look.
2 years, 9 months ago (2017-04-28 07:28:21 UTC) #18
svillar
You don't need it, but again lgtm. Good job!
2 years, 9 months ago (2017-04-28 15:27:21 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2825133003/100001
2 years, 9 months ago (2017-04-28 15:38:41 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/257574) android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, ...
2 years, 9 months ago (2017-04-28 15:44:01 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2825133003/120001
2 years, 8 months ago (2017-05-02 07:42:10 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/443364)
2 years, 8 months ago (2017-05-02 09:27:10 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2825133003/140001
2 years, 8 months ago (2017-05-02 09:56:51 UTC) #33
commit-bot: I haz the power
2 years, 8 months ago (2017-05-02 11:31:33 UTC) #36
Message was sent while issue was closed.
Committed patchset #7 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/032e6e69429f3d726bcf71d34275...

Powered by Google App Engine
This is Rietveld 408576698